"use strict";
/*
 * Copyright (c) 2021, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopicCommands = void 0;
const node_path_1 = require("node:path");
const ditamap_1 = require("./ditamap");
class TopicCommands extends ditamap_1.Ditamap {
    constructor(topic, topicMeta) {
        const filename = ditamap_1.Ditamap.file(`cli_reference_${topic}_commands`, 'xml');
        // Set the data of topic and filenames
        super(filename, topicMeta);
        // Override destination to include topic and subtopic
        this.destination = (0, node_path_1.join)(ditamap_1.Ditamap.outputDir, topic, filename);
    }
    // eslint-disable-next-line class-methods-use-this
    getTemplateFileName() {
        return 'cli_reference_topic_commands.hbs';
    }
}
exports.TopicCommands = TopicCommands;
//# sourceMappingURL=topic-commands.js.map