"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopicDitamap = void 0;
const node_path_1 = require("node:path");
const ditamap_1 = require("./ditamap");
class TopicDitamap extends ditamap_1.Ditamap {
    constructor(topic, commandIds) {
        const filename = ditamap_1.Ditamap.file(`cli_reference_${topic}`, 'ditamap');
        // Set the data of topic and filenames
        const commands = commandIds.sort().map((c) => ({ command: c.replace(/:/g, '_') }));
        super(filename, { topic, commands });
        // Override destination to include topic and subtopic
        this.destination = (0, node_path_1.join)(ditamap_1.Ditamap.outputDir, topic, filename);
    }
    // eslint-disable-next-line class-methods-use-this
    getTemplateFileName() {
        return 'topic_ditamap.hbs';
    }
}
exports.TopicDitamap = TopicDitamap;
//# sourceMappingURL=topic-ditamap.js.map